package com.ruoyi.manage.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 人员管理对象 staff_manage
 * 
 * @author boman
 * @date 2025-05-07
 */
public class StaffManage extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 人员ID */
    private Long staffId;

    /** 人员姓名 */
    @Excel(name = "人员姓名")
    private String staffName;

    /** 人员联系方式 */
    @Excel(name = "人员联系方式")
    private String staffPhone;

    /** 紧急联系人 */
    @Excel(name = "紧急联系人")
    private String emergencyContact;

    /** 紧急联系人手机 */
    @Excel(name = "紧急联系人手机")
    private String emergencyContactPhone;

    /** 人员图片 */
    @Excel(name = "人员图片")
    private String staffImage;

    /** 删除标志（0代表存在 1代表删除） */
    private String delFlag;

    public void setStaffId(Long staffId) 
    {
        this.staffId = staffId;
    }

    public Long getStaffId() 
    {
        return staffId;
    }

    public void setStaffName(String staffName) 
    {
        this.staffName = staffName;
    }

    public String getStaffName() 
    {
        return staffName;
    }

    public void setStaffPhone(String staffPhone) 
    {
        this.staffPhone = staffPhone;
    }

    public String getStaffPhone() 
    {
        return staffPhone;
    }

    public void setEmergencyContact(String emergencyContact) 
    {
        this.emergencyContact = emergencyContact;
    }

    public String getEmergencyContact() 
    {
        return emergencyContact;
    }

    public void setEmergencyContactPhone(String emergencyContactPhone) 
    {
        this.emergencyContactPhone = emergencyContactPhone;
    }

    public String getEmergencyContactPhone() 
    {
        return emergencyContactPhone;
    }

    public void setStaffImage(String staffImage) 
    {
        this.staffImage = staffImage;
    }

    public String getStaffImage() 
    {
        return staffImage;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("staffId", getStaffId())
            .append("staffName", getStaffName())
            .append("staffPhone", getStaffPhone())
            .append("emergencyContact", getEmergencyContact())
            .append("emergencyContactPhone", getEmergencyContactPhone())
            .append("staffImage", getStaffImage())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
